Loading...
Searching...
No Matches
osim_decoded_element Struct Reference

A single decoded element inside a file. More...

`#include <sim.h>`

## Data Fields

struct llist_head | list
enum osim_element_type | type
enum osim_element_repr | representation
const char * | name
unsigned int | length
union { |
uint8_t u8 |
uint16_t u16 |
uint32_t u32 |
uint8_t * buf |
struct llist_head siblings |
| A list of sibling decoded_items. More...
} | u |

## Detailed Description

A single decoded element inside a file.

## Field Documentation

## buf

uint8_t* osim_decoded_element::buf

Referenced by default_decode(), elp_decode(), gsm_imsi_decode(), gsm_kc_decode(), and iccid_decode().

## length

unsigned int osim_decoded_element::length

Referenced by gsm_imsi_decode(), and iccid_decode().

## list

struct llist_head osim_decoded_element::list

Referenced by element_alloc(), and element_alloc_sub().

## name

const char* osim_decoded_element::name

Referenced by __element_alloc(), element_alloc(), and element_alloc_sub().

## representation

enum osim_element_repr osim_decoded_element::representation

Referenced by __element_alloc().

## siblings

struct llist_head osim_decoded_element::siblings

A list of sibling decoded_items.

Referenced by __element_alloc(), and element_alloc_sub().

## type

enum osim_element_type osim_decoded_element::type

Referenced by __element_alloc(), element_alloc(), and element_alloc_sub().

## [union]

union { ... } osim_decoded_element::u

Referenced by __element_alloc(), default_decode(), element_alloc_sub(), elp_decode(), gsm_hpplmn_decode(), gsm_imsi_decode(), gsm_kc_decode(), gsm_lp_decode(), gsm_plmnsel_decode(), and iccid_decode().

## u16

uint16_t osim_decoded_element::u16

Referenced by gsm_plmnsel_decode().

## u32

uint32_t osim_decoded_element::u32

## u8

uint8_t osim_decoded_element::u8

Referenced by gsm_hpplmn_decode(), gsm_kc_decode(), and gsm_lp_decode().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h